
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "md2site/version"

Gem::Specification.new do |spec|
  spec.name          = "md2site"
  spec.version       = Md2site::VERSION
  spec.authors       = ["yasuo kominami"]
  spec.email         = ["ykominami@gmail.com"]

  spec.summary       = %q{make Markdown to site with Pandoc.}
  spec.description   = %q{make Markdown to site with Pandoc.}
  spec.homepage      = ""
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
#    spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

#    spec.metadata["homepage_uri"] = spec.homepage
#    spec.metadata["source_code_uri"] = "TODO: Put your gem's public repo URL here."
#    spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "bin"
#  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.executables   = ["md2site"]
  spec.require_paths = ["lib"]


  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "byebug"
  spec.add_development_dependency "test-unit"
  spec.add_development_dependency "test-unit-rr"
  spec.add_development_dependency "rubocop", "0.69.0"
  spec.add_development_dependency "rubocop-performance"
  spec.add_development_dependency "power_assert", "~> 1.1.5"

  spec.add_runtime_dependency "bundler", "~> 2.0"
  spec.add_runtime_dependency "simpleoptparse"
  spec.add_runtime_dependency "erubis"
  spec.add_runtime_dependency "mdextab"
  spec.add_runtime_dependency "nokogiri"
  spec.add_runtime_dependency "messagex"
  spec.add_runtime_dependency "filex"
  spec.add_runtime_dependency "faraday"
  spec.add_runtime_dependency "faraday_middleware"
end
